Subject: [quicwg/base-drafts] 61977b: Rewrite text about Version Negotiation

From: Martin Thomson <[email-masked]>
Date: Thu, 15 Feb 2018 16:46:57 -0800

Branch: refs/heads/master
  Home:   https://github.com/quicwg/base-drafts
  Commit: 61977b518599e3441fa473651588921c8dd2e783
      https://github.com/quicwg/base-drafts/commit/61977b518599e3441fa473651588921c8dd2e783
  Author: martinduke <[email-masked]>
  Date:   2018-01-07 (Sun, 07 Jan 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Rewrite text about Version Negotiation

This is meant to resolve #1038.

I made the following changes:
1) Explicitly state the conditions for each possible server action on receipt of the first packet
2) Use IETF terms like "MUST" when missing.
3) Eliminate redundant text
4) Eliminate all explicit mentions of the 1200-byte limit, as this is defined later in the text, where it also explains exactly how to measure packet size. I'm concerned that just saying "1200 bytes" here might cause people to count IP headers or something. Make them read the definition!

I don't believe there's any substantive change to the spec.

  Commit: bae27776631f1254750fdcef16cf10acc935f024
      https://github.com/quicwg/base-drafts/commit/bae27776631f1254750fdcef16cf10acc935f024
  Author: martinduke <[email-masked]>
  Date:   2018-01-08 (Mon, 08 Jan 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update to PR #1039

Addressed @martinthomson's issues. Made further edits to be concise and well-organized.

  Commit: 61c10035ada05379a6d1b7efe54238f383882b2b
      https://github.com/quicwg/base-drafts/commit/61c10035ada05379a6d1b7efe54238f383882b2b
  Author: martinduke <[email-masked]>
  Date:   2018-01-08 (Mon, 08 Jan 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Addressed @mikkelfj's issue.

  Commit: a847126f9351898ff5cfa2e4f92762d03169575b
      https://github.com/quicwg/base-drafts/commit/a847126f9351898ff5cfa2e4f92762d03169575b
  Author: martinduke <[email-masked]>
  Date:   2018-01-08 (Mon, 08 Jan 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Addressed Martin's issues and fixed one error (first packets might not be "handshake" packets -- they might be 0RTT)

  Commit: f1fe44676ef81ee931ebeea871a849b05932bd16
      https://github.com/quicwg/base-drafts/commit/f1fe44676ef81ee931ebeea871a849b05932bd16
  Author: martinduke <[email-masked]>
  Date:   2018-01-08 (Mon, 08 Jan 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Whoops, forgot the last of Martin's comments.

  Commit: a15f67a0e8fff62a3f575e75b48bcd0905db2a2f
      https://github.com/quicwg/base-drafts/commit/a15f67a0e8fff62a3f575e75b48bcd0905db2a2f
  Author: Martin Thomson <[email-masked]>
  Date:   2018-01-16 (Tue, 16 Jan 2018)

  Changed paths:
    A .lint.py
    M Makefile
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge branch 'master' into patch-8

  Commit: 256ad6b7e6bcfbcd0092fc1633ccfd06f6cc0341
      https://github.com/quicwg/base-drafts/commit/256ad6b7e6bcfbcd0092fc1633ccfd06f6cc0341
  Author: Martin Thomson <[email-masked]>
  Date:   2018-01-16 (Tue, 16 Jan 2018)

  Log Message:
  -----------
  Merge branch 'master' into patch-8

  Commit: b33d04e972bb073baf434d1d531130ba3661bee5
      https://github.com/quicwg/base-drafts/commit/b33d04e972bb073baf434d1d531130ba3661bee5
  Author: martinduke <[email-masked]>
  Date:   2018-02-12 (Mon, 12 Feb 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Rewrote completely based on Martin's feedback

@martinthomson's suggestions make this much cleaner. Please read it over for mistakes, but I think we're close.

  Commit: 5271b5952a5b68e9fcd5417d1c78cfe9812a4450
      https://github.com/quicwg/base-drafts/commit/5271b5952a5b68e9fcd5417d1c78cfe9812a4450
  Author: martinduke <[email-masked]>
  Date:   2018-02-12 (Mon, 12 Feb 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Made Mike Bishop's changes

  Commit: 00a80090ef056e340e0cb6813870e0f41edcd11b
      https://github.com/quicwg/base-drafts/commit/00a80090ef056e340e0cb6813870e0f41edcd11b
  Author: martinduke <[email-masked]>
  Date:   2018-02-15 (Thu, 15 Feb 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Addressed Martin's Comments

I don't think we've converged on whether it is desirable to process an Initial Packet before checking if the connection ID matches on open one; I would like to submit these extensive changes (assuming no other issues) and continue that specific debate in a new issue/PR.

  Commit: 80a47db5b7b6fb28e2cdbb1879c21b9bfc9f5e59
      https://github.com/quicwg/base-drafts/commit/80a47db5b7b6fb28e2cdbb1879c21b9bfc9f5e59
  Author: Martin Thomson <[email-masked]>
  Date:   2018-02-16 (Fri, 16 Feb 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Couple of typos

  Commit: 40ee6a937194067501b2738eae1c87c01ee85289
      https://github.com/quicwg/base-drafts/commit/40ee6a937194067501b2738eae1c87c01ee85289
  Author: Martin Thomson <[email-masked]>
  Date:   2018-02-16 (Fri, 16 Feb 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Remove trailing whitespace

  Commit: 6fd38851a3f893b606fbc2fa930edb57cc0dbeac
      https://github.com/quicwg/base-drafts/commit/6fd38851a3f893b606fbc2fa930edb57cc0dbeac
  Author: Martin Thomson <[email-masked]>
  Date:   2018-02-16 (Fri, 16 Feb 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge branch 'pr1039'

Compare: https://github.com/quicwg/base-drafts/compare/b3066dc80eb4...6fd38851a3f8